package ru.dbotthepony.mc.otm.capability

import net.minecraft.server.level.ServerPlayer
import net.minecraft.world.inventory.Slot

interface IQuickStackContainer {
	fun getSlotsFor(player: ServerPlayer): Collection<Slot>

	class Simple(private val slots: Collection<Slot>) : IQuickStackContainer {
		override fun getSlotsFor(player: ServerPlayer): Collection<Slot> {
			return slots
		}
	}
}
